@import "./Main.scss";

.product{ 
  position: relative;
  box-sizing: border-box;
  border-radius: 20px;
  margin: 15px;
  height: auto;
  width: calc(100% - 30px); 
  text-decoration: none;
  -webkit-box-shadow: 1px 1px 20px 0px rgba(62, 62, 62, 0.5);
  -moz-box-shadow: 1px 1px 20px 0px rgba(62, 62, 62, 0.5);
  box-shadow: 1px 1px 20px 0px rgba(62, 62, 62, 0.5);
  &:hover{
    cursor: pointer;
    -webkit-box-shadow: 1px 1px 20px 0px $letter;
    -moz-box-shadow: 1px 1px 20px 0px $letter;
    box-shadow: 1px 1px 20px 0px $letter;
    .product-background,
    .product-hover{
      opacity: 1;
    }  
  }
  &:-webkit-any-link{
    color: $letter;
  }
  &-container{
    margin: 18px 24px;
    position: relative;
    z-index: 1;
    &-image_container{
      width: 100%;
      height: 189.8px;
      align-items: center;
      justify-content: center;
      position: relative;
      display: flex;
      &-loading{
        width: 100%;
        height: 100%;
        z-index: 1;
        position: absolute;
        display: flex;
        justify-content: center;
        align-content: center;
      }
      &-img{
        object-fit: contain;
        width: 100%;
        height: 100%;
        z-index: 3;
        position: absolute;
      } 
    }
    &-details{    
      display: flex;
      flex-direction: column;
      align-content: space-evenly;
      border-top: $letter 1px solid;
      padding-top: 10px;
      &_title{
        font-size: 1rem;
        color: $letter;
        font-weight: bold;
        padding: 0;
        margin: 0;
      }
      &_description{
        font-size: 0.8rem;
        padding: 5px 0 0;
        margin: 0;
      }
      &-points{
        padding: 10px 0 0 0;
        margin: 0;
        display: flex;
        align-self: flex-end;
        &_potapoints{
          margin-right: 5px;
          &_color {
            fill: $letter;
          }
        }
        &_number{
          font-size: 1.2rem;
          color: $letter;
          font-weight: bold;
        }
      }
    }
  }
  &-background{
    opacity:0;
    position: absolute;
    background: rgba(242, 39, 56, 0.80);
    z-index: 2;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    border-radius: 20px;
  }
  &-hover{
    opacity:0;
    z-index: 3;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    top: 0;
    position: absolute;
    width: 100%;
    &-points{
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      &_potapoints{
        margin-right: 5px;
      }
      &_number{
        font-weight: bold;
        font-size: 1.5rem;
        color: $secondary;
      }
    }
    &-redeem{
      margin-top: 15px;
      &_button{
        cursor: pointer;
        border:0;
        padding:10px;
        border-radius: 20px;
        background: $secondary;
        font-weight: bold;
        font-size: 1.2rem;
        text-decoration: none;
        color: #000;
      }
      &_text{
        font-size: 1.2rem;
        font-weight: bold;
        color: $white;
        margin: 0;
      }
    }
  }
}

.available{
  -webkit-box-shadow: 1px 1px 20px 0px rgba(242,39,56,0.5);
  -moz-box-shadow: 1px 1px 20px 0px rgba(242,39,56,0.5);
  box-shadow: 1px 1px 20px 0px rgba(242,39,56,0.5);
  .product-container{
    &-details{    
      border-top: $primary 1px solid;
      &_title{
        color: $primary;
      }
      &-points{
        &_potapoints{
          &_color {
            fill: $primary;
          }
        }        
        &_number{
          color: $primary;
        }
      }
    }
  }
}

.product.available:hover{
  cursor: pointer;
  -webkit-box-shadow: 1px 1px 20px 0px $primary;
  -moz-box-shadow: 1px 1px 20px 0px $primary;
  box-shadow: 1px 1px 20px 0px $primary;
}

// loading images
.lds-ripple {
  display: flex;
  position: absolute;
  height: 100%;
  align-self: center;
  width: 100%;
  justify-content: center;
  align-items: center;
  align-content: center;
  top: 30%;
  left: 37%;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid #F22738;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}
@keyframes lds-ripple {
  0% {
    top: 28px;
    left: 28px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: -1px;
    left: -1px;
    width: 58px;
    height: 58px;
    opacity: 0;
  }
}

//media querys
@media screen and (min-width: 576px){
  .product{
    width: calc(50% - 30px); 
  }
}

@media screen and (min-width: 768px ){
  .product{
    width: calc(33% - 30px); 
  }
}

@media screen and (min-width: 992px){
  .product{
    width: calc(33% - 30px); 
  }
}

@media screen and (min-width: 1200px){
  .product{
    width: calc(20% - 30px); 
  }
}